Bug 1291485 - Duplex and advance printer options cannot be changed
Duplex and advance printer options cannot be changed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups-filters (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 18:09 EST by Jason Tibbitts
Modified: 2016-12-20 12:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:02:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2015-12-14 18:09:29 EST
Since the update to 1.2.0, (from 1.0.75 on my F23 machine, 1.0.66 on my F22 machines) I have found that in both the KDE and Gnome printing dialogs, the options for changing both the duplex options or the advanced printer properties are greyed out and cannot be altered.  I do not completely understand why cups-filters would be involved in this so I'm not sure where to start looking for the underlying cause of the problem.
Comment 1 Jason Tibbitts 2015-12-14 18:34:21 EST
I've foind that if I restart cups-browsed, things work (i.e. those options become settable) for a while.  And then after a bit, it stops working.

Just after a restart, I see:

> lpstat -s
system default destination: rm660
[...]
device for rm660: ipps://print1.local:631/printers/rm660

And things work as expected.  After a bit:

> lpstat -s
system default destination: rm660
[...]
device for rm660: implicitclass:rm660

And now the options are greyed out.  I have no idea why.  On my F22 machines, at least, I can still print without problems even after things have changed to "implicitclass".
Comment 2 Jason Tibbitts 2015-12-14 19:17:43 EST
Sorry to spam, but I starting pulling builds out of koji to see if any of them made any difference:

1.3.0 - bad
1.1.0 - bad
1.0.71 - seems to work fine.

There were other builds but they've been pruned; I'll start building them from git locally.

1.0.74 - bad
1.0.73 - bad
(no 1.0.72 upstream)

So somewhere between 1.0.71 and 1.0.73 things went awry.
Comment 3 Jason Tibbitts 2015-12-14 19:38:47 EST
OK, and the mystery is solved.  The only thing added between those two versions is the implicitclass stuff.  Here's the rundown on what's gone wrong:

Print server has BrowseLocalProtocols cups (and runs cups-browsed, obviously).
This is necessary so that a couple of old RHEL machines can see all of the shared printers.

All of the client settings are unchanged from what Fedora ships.  This means "BrowseRemoteProtocols dnssd cups".

Wen cups-browsed starts, it pulls the printer list from avahi and sets up the printers.

When the server next broadcasts the printers, cups-browsed on the client see a bunch of printers appear with the same names but different hostnames.  1.0.73 and later figure it's some load balancing thing and reconfigure everything for that.

Things break.

The solution is to just use BrowseRemoteProtocols dnssd

I guess the default Fedora config file does OK in a setup where the print server might only do cups broadcasting, but it's pretty broken if the server tries to support both old and new clients.
Comment 4 Fedora Admin XMLRPC Client 2016-06-24 06:32:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-11-24 09:14:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 12:02:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.